package org.richfaces.model.selection;

import junit.framework.TestCase;

public class ClientSelectionTest extends TestCase {

	ClientSelection selection;
	
	public ClientSelectionTest(String name) {
		super(name);
	}

	public void setUp() throws Exception {
		super.setUp();
		selection = new ClientSelection();
	}

	public void tearDown() throws Exception {
		selection = null;
		super.tearDown();
	}

	public void testRange() {
		SelectionRange range = new SelectionRange(1,1);
		selection.addRange(range);
		assertEquals(1, selection.getRanges().size());
	}

	public void testIsSelected() {
		SelectionRange range = new SelectionRange(1,3);
		selection.addRange(range);
		assertTrue(selection.isSelected(2));
	}

	public void testAddIndex() {
		selection.addIndex(1);
		selection.addIndex(4);
		selection.addIndex(2);
		assertEquals(2, selection.getRanges().size());
	}

	public void testSelectionFlag() {
		selection.setSelectionFlag(ClientSelection.FLAG_RESET);
		assertEquals(ClientSelection.FLAG_RESET, selection.getSelectionFlag());
		assertTrue(selection.isReset());
		selection.setSelectionFlag(ClientSelection.FLAG_ALL);
		assertTrue(selection.isSelectAll());
	}

}
